import com.agiledeveloper.ws.*;
import java.io.*;

public class Client
{
	public static void main(String[] args)
	{
		try
		{
			System.out.print("Enter Person's Last Name:");
			
			BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
			
			String lastName = reader.readLine();
			
			InformationProviderIF service = 
						new InformationProvider_Impl().getInformationProviderIFPort(); 
			
			String info = service.getRecord(lastName);
			
			System.out.println("Details reterived on " + lastName);
			System.out.println("Full Name:" + service.getFullName(lastName));
			System.out.println("Information on record: " + info);
		}
		catch(Exception e)
		{
			System.out.println("Exception occured in Client: " + e);
		}
	}
}

